Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518771 - [F28 change] nrpe should not require tcp_wrappers
Summary: [F28 change] nrpe should not require tcp_wrappers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nrpe
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1495181 1596070
TreeView+ depends on / blocked
 
Reported: 2017-11-29 14:53 UTC by Jakub Jelen
Modified: 2018-06-28 08:10 UTC (History)
9 users (show)

Fixed In Version: nrpe-3.2.1-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-17 00:13:35 UTC


Attachments (Terms of Use)

Description Jakub Jelen 2017-11-29 14:53:18 UTC
As announced earlier this year, we plan to deprecate TCP wrappers out of Fedora services in a single release (Fedora 28) to avoid user confusion that some of the tools will be using it and some not.

For more information about the change or possible migration paths outside of the package itself, see the linked accepted Fedora 28 change.

This report is for a source package, that has "BuildRequires tcp_wrappers" in spec file and resulting packages depend on "libwrap.so.0". The changes to remove the dependency should be minimal, usually a configure switch, but let me know if you will need some assistance with the changes.

Additional info:

https://fedoraproject.org/wiki/Changes/Deprecate_TCP_wrappers

Comment 1 Fedora End Of Life 2018-02-20 15:24:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jakub Jelen 2018-03-19 11:22:26 UTC
The package still requires tcp_wrappers-devel, which was removed from Fedora 28. Please, update the spec file to not require this package (see the following PR):

https://src.fedoraproject.org/rpms/nrpe/pull-request/1

Comment 3 Stephen John Smoogen 2018-03-22 21:48:32 UTC
I am building f28 version of nrpe without tcp_wrappers
https://koji.fedoraproject.org/koji/taskinfo?taskID=25890391

Comment 4 Fedora Update System 2018-03-22 22:09:38 UTC
nrpe-3.2.1-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c5d690d9a0

Comment 5 Fedora Update System 2018-03-23 14:44:59 UTC
nrpe-3.2.1-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c5d690d9a0

Comment 6 Fedora Update System 2018-04-17 00:13:35 UTC
nrpe-3.2.1-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.